﻿namespace Models
{
    public class Recipe
    {

        public RecipeInfo Info { get; init; }

        public User Owner { get; init; }

        public List<Ingredient> Ingredients { get; init; }
        public List<PreparationStep> Steps { get; init; }

        public Recipe(
            RecipeInfo info,
            User owner,
            List<Ingredient> ingredients,
            List<PreparationStep> steps)
        {
            Info = info;
            Owner = owner;
            Ingredients = ingredients;
            Steps = steps;
        }
    }
}